Jump to content
Dark26

Le Linux BAR - Discussion de tout et de rien

Recommended Posts

Dites-donc je viens d'activer les effets de bureau sous KDE4 en utilisant Xrender. La partie étonnante est que j'utilise le driver libre radeon, qui n'est pas censé supporter d'accélération pour mon chip graphique (RV770). J'utilise la version 6.9.1 RC1. Je viens de découvrir un truc ou c'est nouveau ?

Share this post


Link to post
Share on other sites

Est ce que les radeons ne sont pas supposées bénéficier de la publication des specs ?

Share this post


Link to post
Share on other sites

Justement pour les dernières (HD4000) les specs n'ont toujours pas été publiées, le driver radeonhd ne les supporte que par l'entremise de AtomBios.

Share this post


Link to post
Share on other sites

xrender n'utilise pas nécéssairement les capacité 3D de la carte. C'est un vieux moteur de compositing, et l'implémentation est propre à chaque driver (si je me souviens bien). Au passage, la plupart des implémentation de xrender sont plus lente que les EFL qui sont entièrement software, bref, rien d'extraordinaire ;)

Share this post


Link to post
Share on other sites

Jai une petite question :

Comment installer Jahshaka quand apt me renvoie ce genre d'erreur

krapinou@Krapinou:~$ sudo apt-get install jahshaka
sudo: unable to resolve host Krapinou
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances	   
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.

Puisque vous n'avez demandé qu'une seule opération, le paquet n'est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 jahshaka: Dépend: openlibraries mais ne sera pas installé
		Dépend: libboost-filesystem1.33.1 mais il n'est pas installable
		Dépend: libglew1 (>= 1.3.1) mais il n'est pas installable
		Dépend: openlibraries mais ne sera pas installé
E: Paquets défectueux

Je vais devoir installer les paquets a la main ou je doit oublier Jahshaka pour du montage vidéo ?

Share this post


Link to post
Share on other sites

Rhâââââ, ça faisait longtemps que je n'avais pas eu du matériel pas supporté out-of-the box par une distribution linux au point que ça soit dérangeant.

Je me suis procuré une carte mère Intel D945GCLF2 (avec un Atom 330 pour ceux qui trouvent le nom barbare) et la puce réseau Realtek n'est pas supporté par CentOS 5.2 de base. Heureusement il y a dkms et le pilote dans le dépôt RPMforge :)

Donc install via le DVD au lieu d'une install réseau (mais kickstart quand même, hein, faut pas abuser non plus).

Share this post


Link to post
Share on other sites
AMD Since earlier this year we have been waiting for AMD to release documentation and/or code on the ATI R600 series concerning 3D acceleration so that the open-source Linux drivers can begin to support the newer ATI graphics processors. It has taken longer than expected for AMD to complete and release this information, but it's now available. AMD has released the fundamental Linux code needed to begin fostering the development of an open-source R600 3D driver. Furthermore, this code also concerns the latest R700 series of graphics processors! The microcode for the newest GPUs has also been released.

http://www.phoronix.com/scan.php?page=arti...ss_3d&num=1 ;)

Share this post


Link to post
Share on other sites
AMD Since earlier this year we have been waiting for AMD to release documentation and/or code on the ATI R600 series concerning 3D acceleration so that the open-source Linux drivers can begin to support the newer ATI graphics processors. It has taken longer than expected for AMD to complete and release this information, but it's now available. AMD has released the fundamental Linux code needed to begin fostering the development of an open-source R600 3D driver. Furthermore, this code also concerns the latest R700 series of graphics processors! The microcode for the newest GPUs has also been released.

http://www.phoronix.com/scan.php?page=arti...ss_3d&num=1 :zarb:

:chinois:

bientot des drivers libres gérant totalement la 3D chez ATI pour les dernières CG sorties.

Share this post


Link to post
Share on other sites

Salut

Ça en est où coté qualité des drivers chez ATI ?

Parce que des drivers libre, ça peut etre motivant pour un achat :)

a+

Share this post


Link to post
Share on other sites
Salut

Ça en est où coté qualité des drivers chez ATI ?

Parce que des drivers libre, ça peut etre motivant pour un achat :)

a+

sur le wiki, ils donnent 1 mois pour les radeon ( video-ati "officiel" soutenu par AMD) et pas de délai pour les autres ( video-radeonhd soutenu par Novel-Suse ).

Mais normalement pour février 2009, toutes les cartes ATI devraient passer avec l'accélération 2D et l'accélération 3D, au moins avec l'un des 2 drivers (video-ati ou video-radeonhd ).

Pour les fonctions qui ne sont pas l'affichage, c'est "plus tard". ( décodage Blue Ray, encodage, etc... ) .

Share this post


Link to post
Share on other sites

bon ben on va attendre février alors. J'étais parti pour acheter une carte à base de x4500HD et faire une croix sur de la vrai 3D performante... mais si on peut avoir bientot de la 3D libre haut de gamme, ça serait vraiment top.

Il y a quand meme un truc que je ne comprend pas : le driver du r500 a toujours pas l'air d'etre top, et ca fait vraiment longtemps que les spec ont été divulgués. Cela veut dire que ca sera plus simple avec le r600 d'avoir un driver libre (peut-etre en réutilisant une partie de ce qui a été fait pour le r500) ou alors que les estimations de février d'ouragan sont un poil optimistes ?

Share this post


Link to post
Share on other sites

bon annif :transpi:

Sinon pour le support complet de la 3D, sur le forum officiel de FreeBSD, ils donnent 1 an. :byebye:

on verra , Mais comme ATI ne fournit aucun driver, tout est géré par --l'option du noyau drm --les drivers libres et les freebsdiens se font aucune illusion.

Mais surtout, dans la dernière release des spec par AMD, ya tout ce qui faut pour faire fonctionner le firmware interne à la CG. Donc tout ce qui manque à toutes les cartes qui ont ce firmware ( à partir des R500 ). Normalement, les codeurs libres ( ceux qui sont derrière video-ati ) peuvent dores et déjà sortir un driver qui exploite la 3D totalement.

Après, c'est l'implémentation dans l'OS des spécificités ( tout ce qui existe dans Direct-X 10 + 3 autres possibilités ) qui ne sont pas documentées dans OpenGL qui va poser problème. -> Soit on va vers un boost d'OpenGL, soit vers 1 deuxième bibliothèque libre dérivant de OpenCL ( merci Apple ) - CUDA et AMD-Stream-Processor.

Bref, en matière graphique, le libre a pris 4 ans de retard ;) en 5 ans.

sinon, la 7.1 est sortie, :transpi: Phoronix pourra refaire son bench avec un OS qui n'a plus les options de déboguage. :xzombi:

Share this post


Link to post
Share on other sites
sinon, la 7.1 est sortie, :francais: Phoronix pourra refaire son bench avec un OS qui n'a plus les options de déboguage. :non:

Pour obtenir des résultats inexploitables car toutes les comparaisons se trouveront dans la variance, comme d'hab.

Je vais arrêter de jouer l'aigri, phoronix est un site que je consulte tous les jours. Mais quand même ses tests ne servent à rien...

Share this post


Link to post
Share on other sites

Sans vouloir lancer un troll, je rêve où Ubuntu est vraiment instable?

Je l'avais installé sur mon portable pour bénéficier des dernière versions des logiciels (j'étais sous Debian et là à cause de lenny ça n'évolue plus trop dans les dépots 'instables') et bien je suis déçu...

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...